
Application: gvSIG desktop - gvSIG feature requests #4890
[PG] Preparar un mecanismo que permita guardar y recuperar el etiquetado de una capa
05/31/2018 08:03 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.1-2855-RC1 (rev. org.gvsig.desktop-2.0.225)
gvSIG version: 2.4.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

Preparar un mecanismo que permita guardar y recuperar el etiquetado de una capa de forma similar a como se hace ahora mismo
con la simbologia.

History
#1 - 06/19/2018 06:24 PM - Joaquín  del Cerro Murciano
- Target version changed from 3.0.0 to 2.5.0-2930-final
- Assignee set to Joaquín  del Cerro Murciano

#2 - 06/20/2018 05:30 PM - Joaquín  del Cerro Murciano

Se ha añadido un boton en el panel etiquetado en propiedades de la capa que permite
añadir acciones al panel, y en este boton se han registrado las acciones de 
guardar y recuperar etiquetado.

Se ha hecho modificaciones en:

    -  org.gvsig.tools para añadir un mecanismo plugable que permita añadir
  acciones a los paneles de gvSIG.

https://redmine.gvsig.net/redmine/projects/gvsig-tools/repository/revisions/1714
https://redmine.gvsig.net/redmine/projects/gvsig-tools/repository/revisions/1715

    -  En org.gvsig.desktop, modificado el panel de etiquetado, LabelingManager, para
  que incluya el boton de acciones adicionales.

https://redmine.gvsig.net/redmine/projects/gvsig-desktop/repository/revisions/43870

    -  Creado un script que añade las acciones de guardar y recuperar etiquetado
  al panel de etiquetado en propiedades de la capa (LabelingManager).

https://github.com/gvSIGAssociation/gvsig-desktop-scripting-LoadSaveLabeling/releases

Como hay modificaciones en el nucleo de gvSIG esta funcionalida estara en el proximo build de gvSIG 2.4.1.

#3 - 06/20/2018 05:30 PM - Joaquín  del Cerro Murciano
- Status changed from New to In progress

#4 - 06/22/2018 09:45 AM - Joaquín  del Cerro Murciano
- Description updated
- Subject changed from [PG] Preparar un mecanismo que permita guardar y recuperar la leyenda de una capa to [PG] Preparar un mecanismo que 
permita guardar y recuperar el etiquetado de una capa

#5 - 07/09/2018 02:14 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.4.1-2855-RC1 (rev. org.gvsig.desktop-2.0.225)

#6 - 07/09/2018 02:15 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

#7 - 02/18/2019 04:58 PM - Álvaro Anguix
- Status changed from Fixed to Closed
